-- ============================================================
--   TABLE: ETLADMREDE
-- ============================================================

CREATE TABLE ETLADMREDE
(
    CDCLIENTE        VARCHAR2(21)   NULL,
    CDSETOR          VARCHAR2(4)    NULL,
    CDPRODCOMP       VARCHAR2(10)   NULL,
    CDOPERADOR       VARCHAR2(12)   NULL,
    CDEQUIPETRAB     VARCHAR2(10)   NULL,
    NRSOLISERV       VARCHAR2(10)   NULL,
    QTSOLIABER       NUMBER         NULL,
    QTSOLIPEND       NUMBER         NULL,
    NRHRSOLI         FLOAT(126)     NULL,
    CDANOBI          VARCHAR2(4)    NULL,
    CDMESBI          VARCHAR2(2)    NULL,
    NMSTATSOLI       VARCHAR2(10)   NULL,
    NRORG            NUMBER         DEFAULT 1 NOT NULL,
    DTINCLUSAO       DATE           DEFAULT SYSDATE NOT NULL,
    DTULTATU         DATE           NULL,
    NRORGINCLUSAO    NUMBER         DEFAULT 1 NULL,
    CDOPERINCLUSAO   VARCHAR2(12)   DEFAULT '1' NULL,
    NRORGULTATU      NUMBER         DEFAULT 1 NULL,
    CDOPERULTATU     VARCHAR2(12)   DEFAULT '1')
/

CREATE INDEX TEK09402_FK ON ETLADMREDE (CDCLIENTE ASC)
/

CREATE INDEX TEK09403_FK ON ETLADMREDE (CDSETOR ASC)
/

CREATE INDEX TEK09404_FK ON ETLADMREDE (CDPRODCOMP ASC)
/

CREATE INDEX TEK09405_FK ON ETLADMREDE (CDOPERADOR ASC)
/

CREATE INDEX TEK09406_FK ON ETLADMREDE (CDANOBI ASC)
/

CREATE INDEX TEK09407_FK ON ETLADMREDE (CDMESBI ASC)
/

--Scrip do agendador de evento o segundo a ser executado.

INSERT INTO EVENTOAEV
  (CDEVENTOAEV, NMEVENTOAEV, IDTPEVENAEV, CDOPERINCL, DTINCLEVEN, NMOBJBDEVEN)
VALUES
  ('0000009401','ETL Administrao De Rede','STP','000000000999',SYSDATE,'ETL_ADMREDE')
/

INSERT INTO PARAMEVENTO
  (CDEVENTOAEV, NMPARAMEVEN, IDDADPARAMEVEN, IDTIPPARAMEVEN, DSPARAMEVEN, IDPARAMNULL, VRTAMPARAM, NRSEQPARAMEVEN)
VALUES
  ('0000009401', 'P_DTINI', 'D', 'E', 'Data Inicial', 'N', 0, '01')
/

INSERT INTO PARAMEVENTO
  (CDEVENTOAEV, NMPARAMEVEN, IDDADPARAMEVEN, IDTIPPARAMEVEN, DSPARAMEVEN, IDPARAMNULL, VRTAMPARAM, NRSEQPARAMEVEN)
VALUES
  ('0000009401', 'P_DTFINA', 'D', 'E', 'Data Final', 'N', 0, '02')
/

