module.exports = {
  root: false,
  env: {
    browser: true,
    es6: true,
    node: true
  },
  ignorePatterns: ["node_modules/", "**/coverage/*", "**/dist/*", "**/types/*", "**/__mocks__/*", "**/*.vue", "**/*.d.ts", "**/*.js"],
  parser: "@typescript-eslint/parser",
  parserOptions: {
    project: "./tsconfig.json"
  },
  plugins: [
    "@typescript-eslint"
  ],
  extends: [
    "airbnb-typescript/base"
  ],
  noInlineConfig: false,
  rules: {
    // maximum line length
    'max-len': ['error', { code: 250, tabWidth: 2 }],
    // disallow console.log, allow console.warn and console.error
    //'no-console': ['error', { allow: ['warn', 'error'] }],
    // allow functions to be used before their definition
    '@typescript-eslint/no-use-before-define': ['error', { functions: false }],
    // don't check classes are exported using default when there is only one export
    'import/prefer-default-export': 'off',
    // allow changes in properties of parameters
    'no-param-reassign': ['error', { props: false }],
    // allow circular import references,
    'import/no-cycle': 'off',
    // allow class methos without this
    'class-methods-use-this': 'off',
    // ignore error caused by monorepo and path aliases
    'import/no-unresolved': 'off',
    // ignore enforcement of consistent linebreak style
    'linebreak-style': 0,
  'no-trailing-spaces': ['error', { skipBlankLines: true }],
    camelcase: 'off',
    '@typescript-eslint/camelcase': 'off',
    'prefer-destructuring': ['error', { object: false, array: false }],
    'no-underscore-dangle': ['error', { allow: ['__report_name', '__is_new', '__ob__'] }],
  }
}